{% extends request.content_only|yesno:"empty.html,base.html" %}

{% load crispy_forms_filters highlight i18n search_results_tables django_tables2 %}

{% block content %}
    <h2>{% trans "Search" %}</h2>

    <form>
        {{ form|crispy }}
        <button type="submit" class="btn btn-primary">{% trans "Search" %}</button>
    </form>

    <hr>

    <h3>{% trans "Results" %}</h3>

    <div id="search-results">
        {% regroup object_list by model_name as categories %}
        {% for category in categories %}
            <h4>{% trans category.grouper|capfirst %}</h4>
            {% with table=category.list|search_table %}
                {% render_table table %}
            {% endwith %}
        {% empty %}
            <p>{% trans "No results found." %}</p>
        {% endfor %}
    </div>
{% endblock %}